package LasTres::Schema::Result::SkillLikeList;

use v5.36.0;

use strict;
use warnings;

use parent 'DBIx::Class::Core';

__PACKAGE__->table('skill_like_lists');

__PACKAGE__->add_columns(
    uuid => {
        data_type => 'uuid',
        default_value => \'uuid_generate_v4()',
        is_nullable => 0,
    },
);
__PACKAGE__->set_primary_key('uuid');
__PACKAGE__->has_many('items', 'LasTres::Schema::Result::SkillLikeItem', 'owner_list');
1;
